> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Event

> Update Event



## OpenAPI

````yaml /api-reference/funnels/openapi.json patch /funnels/event/{id}
openapi: 3.0.0
info:
  title: Funnels API
  description: Documentation for funnels API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Funnels
    description: Documentation for funnels API
  - name: Builder
    description: Documentation for funnels API
  - name: Products
    description: Documentation for funnels API
  - name: Prices
    description: Documentation for funnels API
  - name: Integrations
    description: Documentation for funnels API
paths:
  /funnels/event/{id}:
    patch:
      summary: Update Event
      description: Update Event
      operationId: updateEvent
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateEventDTO'
      responses:
        '200':
          description: Successful response
        '404':
          description: Not Found
components:
  schemas:
    UpdateEventDTO:
      type: object
      properties:
        level:
          type: string
          example: pages
          description: tracking level
          enum:
            - funnel
            - website
            - webinar
            - pages
        type:
          type: string
          example: funnel
          description: type
          enum:
            - funnel
            - website
            - webinar
        conversionEnabled:
          type: boolean
          example: 'true'
          description: Send Event via conversion api or code
        pageIds:
          example:
            - '123456789'
          description: pageId
          type: array
          items:
            type: string
        pixelId:
          type: string
          example: '123456789'
          description: pixelId
        events:
          type: array
          example:
            - page_view
            - order_form
          description: event names
          items:
            type: string
            enum:
              - page_view
        accessToken:
          type: string
          example: '123456789'
          description: accessToken
      required:
        - level
        - type
        - conversionEnabled
        - pageIds
        - pixelId
        - events
        - accessToken

````